summaryrefslogtreecommitdiff
path: root/bin/locmaint
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2021-07-21 14:57:37 -0700
committerSean Whitton <spwhitton@spwhitton.name>2021-07-21 14:57:37 -0700
commitb330ab646aed48ebc0913d23aeb40742907065e0 (patch)
treeed996aa61e79c7475b3a49d04c191662b0788b72 /bin/locmaint
parent340ce222055d9ca1e81a82f38f030fc1e3ef511d (diff)
downloaddotfiles-b330ab646aed48ebc0913d23aeb40742907065e0.tar.gz
locmaint: Propellor -> Consfigurator
Diffstat (limited to 'bin/locmaint')
-rwxr-xr-xbin/locmaint6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/locmaint b/bin/locmaint
index 15b21286..ad8c3ace 100755
--- a/bin/locmaint
+++ b/bin/locmaint
@@ -629,11 +629,11 @@ sub do_sysmaint {
#
# On hosts which are manually spun or spun only when online, also
# useful refresh sbuild chroots
- if (-e "/usr/local/propellor"
- and prompt_Yn "Spin this host with propellor?") {
+ system as_root "test -x /root/.cache/consfigurator/images/latest";
+ if ($? == 0 and prompt_Yn "Deploy this host with Consfigurator?") {
interactive_ensure_subroutine_success sub {
system_pty_capture as_root
- "/bin/bash -c 'cd /usr/local/propellor && ./propellor'"
+ "/root/.cache/consfigurator/images/latest";
};
}